at.chipkarte.client.abs.soap

## Class Verordnung

- Object
- - at.chipkarte.client.abs.soap.Verordnung

-     public class Verordnung
      extends Object

  Enthält die Daten zu einer Verordnung im Rahmen einer `BewilligungsAnfrage`.

  Optionale Felder dürfen den Wert `null` oder, im Fall von Strings, einen Leerstring zurückliefern. Pflichtfelder dürfen weder `null` noch einen Leerstring zurückliefern. Felder, die nicht explizit als optional gekennzeichnet sind, sind Pflichtfelder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Verordnung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBegruendung()` Ärztliche Begründung für die Verordnung.
    `String` | `getDiagnose()` Diagnose für die Verordnung.
    `String` | `getDosierung()` Dosierung/Abgabemodus der Verordnung (z.B.: 1-0-1).
    `String` | `getLangzeitverordnung()` Antrag auf Langzeitverordnung des Medikaments oder der Magistralen Zubereitung.
    `String` | `getMagistraleZubereitung()` Die zu verschreibende Magistrale Zubereitung.
    `Medikament` | `getMedikament()` Das zu verschreibende Medikamtent (siehe `Medikament`).
    `Integer` | `getPackungsanzahl()` Die Packungsanzahl (Abgabemenge) des zu verschreibenden Medikaments beziehungsweise der Magistralen Zubereitung.
    `void` | `setBegruendung(String begruendung)`
    `void` | `setDiagnose(String diagnose)`
    `void` | `setDosierung(String dosierung)`
    `void` | `setLangzeitverordnung(String langzeitverordnung)`
    `void` | `setMagistraleZubereitung(String zubereitung)`
    `void` | `setMedikament(Medikament medikament)`
    `void` | `setPackungsanzahl(Integer packungsanzahl)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Verordnung

          public Verordnung()

  - ### Method Detail

    - #### getMedikament

          public Medikament getMedikament()

      Das zu verschreibende Medikamtent (siehe `Medikament`).
      Die Angabe des Medikaments ist optional. Wird es nicht angegeben, muss jedoch eine `Magistrale Zubereitung` angegeben werden.
      Returns:
        Objekt vom Typ Medikament

    - #### getMagistraleZubereitung

          public String getMagistraleZubereitung()

      Die zu verschreibende Magistrale Zubereitung.
      Format: maximal 1000-stellig
      Die Angabe der Magistralen Zubereitung ist optional. Wird sie nicht angegeben, muss jedoch ein `Medikament` angegeben werden.
      Returns:
        Magistrale Zubereitung

    - #### getPackungsanzahl

          public Integer getPackungsanzahl()

      Die Packungsanzahl (Abgabemenge) des zu verschreibenden Medikaments beziehungsweise der Magistralen Zubereitung.
      Wertebereich: [1..99]
      Returns:
        Packungsanzahl

    - #### getDosierung

          public String getDosierung()

      Dosierung/Abgabemodus der Verordnung (z.B.: 1-0-1).
      Format: maximal 25-stellig
      Die Angabe der Dosierung ist optional.
      Returns:
        Dosierung

    - #### getDiagnose

          public String getDiagnose()

      Diagnose für die Verordnung.
      Format: maximal 100-stellig
      Returns:
        Diagnose

    - #### getBegruendung

          public String getBegruendung()

      Ärztliche Begründung für die Verordnung.
      Format: maximal 1000-stellig
      Returns:
        Begründung

    - #### getLangzeitverordnung

          public String getLangzeitverordnung()

      Antrag auf Langzeitverordnung des Medikaments oder der Magistralen Zubereitung.
      Format: 2-stellig, numerisch
      Wertebereich: >= 0
      Diese Angabe ist optional. Wird eine Langzeitverordnung beantragt, muss der numerische Wert dieses Feldes größer oder gleich 1 sein (ansonsten 0).
      Returns:
        Langzeitverordnungsmonate

    - #### setMedikament

          public void setMedikament(Medikament medikament)

    - #### setPackungsanzahl

          public void setPackungsanzahl(Integer packungsanzahl)

    - #### setDosierung

          public void setDosierung(String dosierung)

    - #### setMagistraleZubereitung

          public void setMagistraleZubereitung(String zubereitung)

    - #### setDiagnose

          public void setDiagnose(String diagnose)

    - #### setBegruendung

          public void setBegruendung(String begruendung)

    - #### setLangzeitverordnung

          public void setLangzeitverordnung(String langzeitverordnung)